import React from 'react';
import { Link, useNavigate } from 'react-router-dom';
import './LoginPage.css';

function LoginPage() {
  const navigate = useNavigate();

  const handleSubmit = (event) => {
    event.preventDefault(); 

    localStorage.setItem('token', 'dummy_token'); 
    navigate('/'); 
  };

  return (
    <div className="login-page">
      <h3>Вход</h3>
      <form onSubmit={handleSubmit}> 
        <input type="text" placeholder="Логин или Email" /><br />
        <input type="password" placeholder="Пароль" /><br />
        <label><input type="checkbox" /> Запомнить меня</label><br />
        <Link to="/forgot-password">Забыли пароль?</Link><br />
        <button type="submit">Войти</button>
      </form>
      <p>Нет аккаунта? <Link to="/register">Зарегистрируйтесь</Link></p>
    </div>
  );
}

export default LoginPage;